मैं नेटिवस्क्रिप्ट 6.4.1 का उपयोग कर रहा हूं और आईओएस प्लेटफॉर्म संस्करण 6.4.2 के साथ अप टू डेट हूं

मैं नियमित रूप से अपने आईओएस डिवाइस का निर्माण और तैनाती कर रहा हूं। लेकिन आज मुझे लगता है कि मैं नहीं कर सकता। यह बस ऐप को इंस्टॉल करने की कोशिश कर रहा है (यह ऐप के पिछले संस्करण को अनइंस्टॉल करने के लिए मजबूर करने का प्रबंधन करता है, इसलिए अब मेरे पास मेरे फोन पर पुराना संस्करण भी नहीं है)।

हां, मेरे पास सभी प्रावधान ठीक से सेट हैं। अगर मैं इनमें से कोई भी बदलता हूं, तो मुझे उम्मीद के मुताबिक एक त्रुटि मिलती है। यहाँ, सब कुछ के साथ, मुझे कोई त्रुटि नहीं मिलती है, बस एक हैंग:

Project successfully built.
The build result is located at: /Users/sohmert/tbd/sniff/platforms/ios/build/Debug-iphoneos/sniff.ipa
Installing on device 000080XX-000XXXXX3A92XXX...

मैं इसे अभी भी आईओएस एमुलेटर पर चला सकता हूं। लेकिन मुझे कुछ वास्तविक दुनिया के परीक्षण के लिए इसे अपने डिवाइस पर फिर से प्राप्त करने की आवश्यकता है।

केवल एक चीज के बारे में जो मैं सोच सकता हूं कि मेरे लिए पिछले कुछ दिनों में बदल गया है कि मैंने अपडेट की एक श्रृंखला की है जिसमें एक्सकोड के लिए एक अपडेट शामिल है। Xcode वर्तमान में संस्करण 11.4 के रूप में रिपोर्ट करता है। क्या यह समस्या हो सकती है? अगर ऐसा है तो मैं क्या करूँ?

0
tremho 27 मार्च 2020, 01:38

2 जवाब

ठीक है - मैंने इसे पार कर लिया है। कुछ अन्य समस्याओं की तरह (नेटिवस्क्रिप्ट एक निकास के साथ चलने में विफल रहता है 0 का कोड), और डुप्लिकेट स्थिर वर्ग नामों के साथ संघर्ष से संबंधित एक एंड्रॉइड बिल्ड समस्या, समस्या को हल किया जा सकता है यदि मैं अपने भंडार का एक पूर्ण ताजा गिट क्लोन एक नई निर्देशिका में करता हूं और वहां से निर्माण करता हूं। जाहिर है, लाइन के साथ कहीं जेनरेट की गई फ़ाइल के साथ कुछ समस्या है, लेकिन मैंने यह पता लगाने के लिए पूर्ण भिन्न विश्लेषण या कुछ भी नहीं किया है। वैसे भी -- अगर किसी और को भी इसी तरह की समस्या है, तो इस तरह से पूरी तरह से नए राज्य से शुरू करने का प्रयास करें। हो सकता है कि कुछ शानदार भविष्य में, नेटिवस्क्रिप्ट का उपयोग करने के साथ ये रहस्य समस्याएं दूर की स्मृति की बात होंगी, लेकिन अभी के लिए, दिन के माध्यम से प्राप्त करने के लिए वूडू वर्कअराउंड की एक श्रृंखला समय-समय पर आदर्श प्रतीत होती है।

0
tremho 27 मार्च 2020, 02:55

नवीनतम संस्करण 6.5.0 के साथ नेटिवस्क्रिप्ट को अपडेट करें और इस कमांड का उपयोग करके अपने प्रोजेक्ट को अपडेट करें tns update। नवीनतम iOS संस्करण sdk13 के साथ अपने मैक में नवीनतम संस्करण Xcode11 स्थापित करें।

0
FrontEnd-er 27 मार्च 2020, 14:25